Dancer::Cookies(3pm)

NAME
Dancer::Cookies - a singleton storage for all cookies

VERSION
version 1.3522

SYNOPSIS
    use Dancer::Cookies;

    my $cookies = Dancer::Cookies->cookies;

    foreach my $name ( keys %{$cookies} ) {
        my $cookie = $cookies->{$name};
        my $value  = $cookie->value;
        print "$name => $value\n";
    }

    cookie lang => "fr-FR"; #set a cookie and return its value
    cookie lang => "fr-FR", expires => "2 hours";
    cookie "lang"           #return a cookie value

DESCRIPTION
Dancer::Cookies keeps all the cookies defined by the application and makes them accessible and provides a few helper functions for cookie handling with regards to the stored cookies.

METHODS

  init
This method is called when "->new()" is called. It creates a storage of cookies parsed from the environment using "parse_cookies_from_env" described below.

  cookies
Returns a hash reference of all cookies, all objects of Dancer::Cookie type.

The key is the cookie name, the value is the Dancer::Cookie object.

  cookie
"cookie" method is useful to query or set cookies easily.

    cookie lang => "fr-FR";              # set a cookie and return its value
    cookie lang => "fr-FR", expires => "2 hours";   # extra cookie info
    cookie "lang"                        # return a cookie value

  parse_cookie_from_env
Fetches all the cookies from the environment, parses them and creates a hashref of all cookies.

It also returns all the hashref it created.

AUTHOR
Dancer Core Developers

COPYRIGHT AND LICENSE
This software is copyright (c) 2010 by Alexis Sukrieh.

This is free software; you can redistribute it and/or modify it under the same terms as the Perl 5 programming language system itself.